## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname fedora-sig-onboard

Name:           python-%{srcname}
Version:        0.1.1
Release:        %autorelease
Summary:        Onboard a package onto the appropriate Fedora SIG

License:        MIT
URL:            https://pagure.io/fedora-sig-onboard
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
fedora-sig-onboard is a simple tool to onboard a Fedora package onto the
relevant SIG. It will attempt to add the SIG to the package ACL, update the
Bugzilla assignee and add the package to Anitya. Rust and Golang packages are
currently supported, and will be respectively onboarded onto the Rust SIG and
the Go SIG.}

%description %_description

%package -n     %{srcname}
Summary:        %{summary}

%description -n %{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fedora_sig_onboard

%check
%pyproject_check_import

%files -n %{srcname} -f %{pyproject_files}
%doc README.md
%{_bindir}/%{srcname}

%changelog
* Wed Jan 03 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1

* Sat Dec 23 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-1
- Initial import; Fixes: RHBZ#2255561
